# /etc/cron.d/php52: crontab fragment for php52
#
#  This purges session files in session.save_path older than X,
#  where X is defined in seconds as the largest value of
#  session.gc_maxlifetime from all your SAPI php.ini files
#  or 24 minutes if not defined.  The script triggers only
#  when session.save_handler=files.
#
#  WARNING: The scripts tries hard to honour all relevant
#  session PHP options, but if you do something unusual
#  you have to disable this script and take care of your
#  sessions yourself.
#
#  @2017
#  - Fix env variables to fix call path
#
#  @2016
#  - Add uploads and temporary files cleanup
#
#  @2015-08-19
#  - Add some randomness to less stress hosting
#

PHP=php52
SC=/usr/lib/php52/sessionclean
UC=/usr/lib/php52/uploadsclean

# Look for and purge gc_maxlifetime old sessions every 30 minutes
8,38 *     * * *     root   [ -x $SC ] && sleep `perl -e 'print int(rand(50))+5'` && $SC

# Look for and purge day old other files every 60 minutes
2    *     * * *     root   [ -x $UC ] && [ -d /var/lib/$PHP/tmp ] && sleep `perl -e 'print int(rand(50))+5'` && $UC /var/lib/$PHP/tmp 1440
4    *     * * *     root   [ -x $UC ] && [ -d /var/lib/$PHP/soap ] && sleep `perl -e 'print int(rand(50))+5'` && $UC /var/lib/$PHP/soap 1440
6    *     * * *     root   [ -x $UC ] && [ -d /var/lib/$PHP/upload ] && sleep `perl -e 'print int(rand(50))+5'` && $UC /var/lib/$PHP/upload 1440
