#!/bin/sh

SRC_DIR=`dirname $0`

rm -f config.cache

REL=`lsb_release -sc`

PCRE_DIR=
if [ `echo "squeeze lucid" | grep -c $REL` -eq 0 ]; then
	# if not them...
	PCRE_DIR="=/usr"
fi

OSSL_DIR=/usr
if [ -d /opt/openssl101r/usr ]; then
	OSSL_DIR=/opt/openssl101r/usr
fi

MYSQL_CFG=/usr/bin/mysql_config
MYSQL_DIR=/usr
if [ -f /opt/mysql-5.5/usr/bin/mysql_config ]; then
	MYSQL_CFG=/opt/mysql-5.5/usr/bin/mysql_config
	MYSQL_DIR=/opt/mysql-5.5/usr
fi

#if [ -n "$DEB_HOST_MULTIARCH" ]; then
#	PHP_BUILD_OPTIONS="$PHP_BUILD_OPTIONS --with-libdir=/usr/lib/$DEB_HOST_MULTIARCH"
#fi

./configure \
 --prefix=/usr \
 --sysconfdir=/etc/php${PHP_VERSION} \
 --datadir=/usr/share/php${PHP_VERSION} \
 --program-suffix=${PHP_VERSION} \
 --mandir=/usr/share/man \
 --infodir=/usr/share/info \
 --localstatedir=/var/lib/php${PHP_VERSION} \
 --with-config-file-path=/etc/php${PHP_VERSION}/${PHP_SAPI} \
 --with-config-file-scan-dir=/etc/php${PHP_VERSION}/${PHP_SAPI}/conf.d \
 --with-pear=/usr/share/php${PHP_VERSION}/pear \
 $PHP_BUILD_OPTIONS \
 --disable-debug \
 --disable-static \
 --enable-bcmath=shared \
 --with-bz2=shared \
 --enable-calendar=shared \
 --enable-ctype=static \
 \
 --enable-dba=shared \
 --with-db4=/usr \
 --without-gdbm \
 --with-qdbm=/usr \
 --enable-inifile \
 --enable-flatfile \
 \
 --disable-dbase \
 --enable-dom=shared \
 --enable-exif=shared \
 --enable-ftp=shared \
 --with-gd=shared \
  --with-jpeg-dir=/usr/lib \
  --with-ttf \
  --with-freetype-dir=/usr/include/freetype2 \
  --enable-gd-native-ttf \
 --with-gettext=shared \
 --with-gmp=shared,/usr \
 --with-ldap=shared \
 --enable-hash=static \
 --with-iconv-dir=static,/usr \
 --with-interbase=shared,/usr \
 --with-imap=shared \
 --with-imap-ssl \
 --enable-json=shared \
 --enable-mbstring=shared \
 --with-mcrypt=shared \
 --with-mime-magic=/usr/share/misc/magic.mgc \
 --with-mhash \
 --with-mssql=shared \
 --with-mysql=shared,$MYSQL_DIR \
 --with-mysql-sock=/var/run/mysqld/mysqld.sock \
 --with-mysqli=shared,$MYSQL_CFG \
 --with-openssl=shared \
 --with-pcre-regex$PCRE_DIR \
 --enable-pdo \
 --with-pdo-dblib=shared \
 --with-pdo-firebird=shared,/usr \
 --with-pdo-mysql=shared,$MYSQL_DIR \
 --with-pdo-pgsql=shared \
 --with-pdo-sqlite=shared,/usr \
 --with-pgsql=shared \
 --enable-sysvmsg=static \
 --enable-sysvsem=static \
 --enable-sysvshm=static \
 --with-readline=shared \
 --with-recode=shared \
 --with-xmlrpc=shared \
 --with-kerberos \
 --with-snmp=shared \
 --enable-soap=shared \
 --enable-sockets=static \
 --with-zlib-dir=static,/usr \
 --with-sqlite=shared,/usr \
 --enable-sqlite-utf8 \
 --enable-zip=shared \
 --with-curl=shared \
 --with-pspell=shared \
 --enable-shmop=static \
 --enable-pcntl=shared \
 --with-tidy=shared \
 --enable-tokenizer=shared \
 --enable-session=static \
 --enable-posix=shared \
 --enable-xml=shared \
 --enable-wddx=shared \
 --with-xsl=shared \
 --enable-xmlreader=shared \
 --enable-xmlwriter=shared \
 --enable-simplexml=shared \
 --with-system-tzdata
